;
; make mean meridional velocity
;
FUNCTION make_mem300, file_name, ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2, ZMTYP = zmtyp

@common
@com_eg
;
;
; Read W 
;
   file_nam = strmid(file_name, 0, strlen(file_name)-4)
   vargrid = 'V'
   old_boite = [lon1, lon2, lat1, lat2, prof1, prof2]
   domdef
   vvel = nc_read(file_nam+'V.nc','vomecrty', ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2)

   vem300 = moyenne(vvel.data,'z', boite = [0, 300])

   domdef, old_boite

   field = {name: '', data: vem300, legend: '', units: '', origin: '', dim: 0}
   
   field.origin = vvel.origin
   field.dim = vvel.dim - 1

   return, field
END 
