;
; make Wind Stress curl
;
FUNCTION make_wcurl, file_name, ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2, ZMTYP = zmtyp, ALL_DATA = all_data

@common
@com_eg
;
;
; Read taux and tauy
;
   old_boite = [lon1, lon2, lat1, lat2, prof1, prof2]
   domdef
   vargrid = 'U'
   new_file = new_filename(file_name, 'T', vargrid)
   taux = nc_read(new_file,'sozotaux', ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2, ALL_DATA = all_data)
   vargrid = 'V'
   new_file = new_filename(file_name, 'T', vargrid)
   tauy = nc_read(new_file,'sometauy', ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2, ALL_DATA = all_data)

   wcurl = curl(taux.data, tauy.data)
   domdef, old_boite

   field = {name: '', data: wcurl, legend: '', units: '', origin: '', dim: 0, direc:''}
   
   field.origin = taux.origin
   field.dim = taux.dim
   field.direc = taux.direc

   return, field
END 
