;------------------------------------------------------------
;------------------------------------------------------------
FUNCTION make_depth, file_name, ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2, ZMTYP = zmtyp
;
@common
@com_eg
;
;
; Depth along isopycnal (computed in bining.pro)
;

   IF splot NE 1 THEN BEGIN
      print, '  WARNING @@vodepth/@@vosigvol requires density projection !'
      return, -1
   ENDIF 

; declarations
;
   fieldr = {name: '', data: fltarr(jpi, jpj, jpk), legend: '', units: '', origin: '', dim: 0, direc:''}

   IF strpos(ncdf_db, ':') GE 1 THEN directory = (strsplit(ncdf_db, ':', /EXTRACT))[1] $
    ELSE directory = ncdf_db

   fieldr.origin = directory+file_name
   fieldr.dim = 3
   fieldr.direc =  'xys'
  
   return, fieldr 
end
