;+
;;
;; Calcul du rotationnel d'un champ de vecteur (u,v) [jpi,jpj]
;;
;; Creation : printemps 98 G. Roullet
;;
;-
FUNCTION curl2, u, v
@common
@com_eg

   zu = u*e1u*umaskr(*, *, 0)
   zv = v*e2v*vmaskr(*, *, 0)

   zcurl = shift(zv, -1, 0)-zv+zu-shift(zu, 0, -1)
   zcurl = zcurl*fmaskr(*, *, 0)/(e1f*e2f)

   zcurl = boundperio(zcurl, /ff1)

   return, zcurl
end
